.baihe_related_case {
    padding: calc(var(--component-gap) * 2) 0 var(--component-gap);
    position: relative;
}

.baihe_related_case svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.baihe_related_case .section-title {
    color: var(--title-text-color);
    font-size: var(--title-size-h2);
    font-weight: 700;
    line-height: 1.5;
    text-align: center;
    text-transform: uppercase;
}

.baihe_related_case_list {
    margin-top: var(--component-gap);
}

.baihe_related_case_group {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.baihe_related_case_item {
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    flex: 1;
    min-width: 0;
}

.baihe_related_case_item img {
    width: 100%;
    aspect-ratio: 480/346;
    object-fit: cover;
}

.baihe_related_case_item_content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    flex-direction: column;
    justify-content: center;
    padding: 40px;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.30) 100%);
    backdrop-filter: blur(15px);
}

.baihe_related_case_item:hover .baihe_related_case_item_content {
    display: flex;
}

.baihe_related_case_item_content .line {
    width: 30px;
    height: 3px;
    background: var(--color-second);
    border-radius: 3px;
    margin: 10px 0 13px;
}

.baihe_related_case_item_content .baihe_related_case_item_title {
    font-family: var(--font-medium-family);
    color: #fff;
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.baihe_related_case_item_content .baihe_related_case_item_desc {
    color: #fff;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    height: calc(var(--text-size) * 1.625 * 2);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.baihe_related_case_item_content .baihe_related_case_item_btn {
    position: absolute;
    bottom: 40px;
    left: 40px;
    width: 46px;
    height: 46px;
    background: var(--color-primary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}


.baihe_related_case_item_content .baihe_related_case_item_btn i {
    font-size: 20px;
    color: #fff;
}

.baihe_related_case .swiper-button-prev,
.baihe_related_case .swiper-button-next {
    top: calc(50% + var(--title-size-h2) + var(--component-gap)) !important;
    transform: translateY(-90%) !important;
    color: var(--color-primary);
    z-index: 10 !important;
    pointer-events: auto !important;
}

.baihe_related_case .swiper-button-next {
    right: 100px !important;
}

.baihe_related_case .swiper-button-prev {
    left: 100px !important;
}

.baihe_related_case .swiper-button-next,
.baihe_related_case .swiper-button-prev {
    width: 46px !important;
    height: 46px !important;
    padding: 0 !important;
    background: rgba(242, 177, 75, 0.15) !important;
    border-radius: 50% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    font-size: 20px !important;
    color: var(--color-second) !important;
    cursor: pointer !important;
    position: absolute !important;
}

.baihe_related_case .swiper-button-next:after,
.baihe_related_case .swiper-button-prev:after {
    font-size: 16px !important;
    font-weight: 700 !important;
}

.baihe_related_case .swiper-button-next:hover,
.baihe_related_case .swiper-button-prev:hover {
    background: var(--color-second) !important;
    color: #fff !important;
}

.baihe_related_case .swiper-button-next:hover:after,
.baihe_related_case .swiper-button-prev:hover:after {
    color: #fff !important;
}

@media (max-width: 1800px) {
    .baihe_related_case .swiper-button-next {
        right: 20px !important;
    }

    .baihe_related_case .swiper-button-prev {
        left: 20px !important;
    }
}

@media (max-width: 1500px) {
    .baihe_related_case_item_content {
        justify-content: flex-start;
    }

    .baihe_related_case_item_content .baihe_related_case_item_desc {
        height: calc(var(--text-size) * 1.625 * 3);
        -webkit-line-clamp: 3;
    }
}

@media (max-width: 1200px) {
    .baihe_related_case_group {
        gap: 20px;
    }

    .baihe_related_case .swiper-button-prev,
    .baihe_related_case .swiper-button-next {
        transform: translateY(-50%) !important;
    }
}

@media (max-width: 992px) {
    .baihe_related_case_group {
        gap: 10px;
    }

    .baihe_related_case_item_content .baihe_related_case_item_desc {
        height: calc(var(--text-size) * 1.625 * 2);
        -webkit-line-clamp: 2;
    }
}

@media (max-width: 768px) {
    .baihe_related_case{
        padding: var(--component-gap) 0;
        background: linear-gradient(180deg, rgba(234, 171, 72, 0.2) 0%, rgba(234, 171, 72, 0.0) 100%);
    }
    .baihe_related_case_item_content .baihe_related_case_item_btn {
        bottom: 20px;
        left: 20px;
        width: 30px;
        height: 30px
    }

    .baihe_related_case_item_content .baihe_related_case_item_btn i {
        font-size: 12px;
    }

    .baihe_related_case_item_content {
        padding: 20px;
    }
}

@media (max-width: 576px) {

    .baihe_related_case_item_content .baihe_related_case_item_btn {
        display: none;
    }

    .baihe_related_case_item_content {
        padding: 10px;
    }

    .baihe_related_case_item_content .line {
        margin: 6px 0 10px;
    }

    .baihe_related_case .section-title {
        text-align: left;
    }

    .baihe_related_case .container {
        position: relative;
    }

    .baihe_related_case .swiper-button-next,
    .baihe_related_case .swiper-button-prev {
        width: 30px !important;
        height: 30px !important;
        top: 24px !important;
        transform: translateY(0%) !important;
    }

    .baihe_related_case .swiper-button-next:after,
    .baihe_related_case .swiper-button-prev:after {
        font-size: 12px !important;
    }

    .baihe_related_case .swiper-button-next {
        right: 15px !important;
    }

    .baihe_related_case .swiper-button-prev {
        left: auto !important;
        right: 35px !important;
        transform: translateX(-100%) !important;
    }
}